# Uses of Class
org.jfree.chart3d.Chart3D

Packages that use Chart3D
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.interaction
Classes that support user interaction with charts.
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.
org.jfree.chart3d.style
Classes for controlling chart styles.

## Uses of Chart3D in org.jfree.chart3d

Methods in org.jfree.chart3d that return Chart3D
Modifier and Type
Method
Description
`static Chart3D`
Chart3DFactory.`createAreaChart(String title, String subtitle, CategoryDataset3D dataset, String rowAxisLabel, String columnAxisLabel, String valueAxisLabel)`
Creates and returns an area chart based on the supplied dataset.
`static Chart3D`
Chart3DFactory.`createBarChart(String title, String subtitle, CategoryDataset3D dataset, String rowAxisLabel, String columnAxisLabel, String valueAxisLabel)`
Creates and returns a bar chart based on the supplied dataset.
`static Chart3D`
Chart3DFactory.`createLineChart(String title, String subtitle, CategoryDataset3D dataset, String rowAxisLabel, String columnAxisLabel, String valueAxisLabel)`
Creates and returns a line chart based on the supplied dataset.
`static Chart3D`
Chart3DFactory.`createPieChart(String title, String subtitle, PieDataset3D<? extends Comparable> dataset)`
Creates and returns a pie chart based on the supplied dataset.
`static Chart3D`
Chart3DFactory.`createScatterChart(String title, String subtitle, XYZDataset dataset, String xAxisLabel, String yAxisLabel, String zAxisLabel)`
Creates and returns a scatter plot based on the supplied dataset (containing one or more series of `(x, y, z)` values).
`static Chart3D`
Chart3DFactory.`createStackedBarChart(String title, String subtitle, CategoryDataset3D dataset, String rowAxisLabel, String columnAxisLabel, String valueAxisLabel)`
Creates and returns a stacked bar chart based on the supplied dataset.
`static Chart3D`
Chart3DFactory.`createSurfaceChart(String title, String subtitle, Function3D function, String xAxisLabel, String yAxisLabel, String zAxisLabel)`
Creates a surface chart for the specified function.
`static Chart3D`
Chart3DFactory.`createXYZBarChart(String title, String subtitle, XYZDataset dataset, String xAxisLabel, String yAxisLabel, String zAxisLabel)`
Creates and returns a bar chart based on the supplied dataset (this is for special cases, most general cases will be covered by the `Chart3DFactory.createBarChart(String, String, CategoryDataset3D, String, String, String)` method).
`static Chart3D`
Chart3DFactory.`createXYZLineChart(String title, String subtitle, XYZDataset dataset, String xAxisLabel, String yAxisLabel, String zAxisLabel)`
Creates and returns a line chart based on the supplied dataset.
`Chart3D`
Chart3DChangeEvent.`getChart()`
Returns the chart that this event is associated with.
`Chart3D`
Chart3DPanel.`getChart()`
Returns the chart being displayed in this panel.
Constructors in org.jfree.chart3d with parameters of type Chart3D
Modifier
Constructor
Description
``
`Chart3DChangeEvent(Object source, Chart3D chart)`
Creates a new event.
``
`Chart3DChangeEvent(Chart3D chart)`
Creates a new event.
``
`Chart3DPanel(Chart3D chart)`
Creates a new chart panel to display the specified chart.

## Uses of Chart3D in org.jfree.chart3d.interaction

Methods in org.jfree.chart3d.interaction that return Chart3D
Modifier and Type
Method
Description
`Chart3D`
Chart3DMouseEvent.`getChart()`
Returns the chart that the mouse event relates to.
Constructors in org.jfree.chart3d.interaction with parameters of type Chart3D
Modifier
Constructor
Description
``
`Chart3DMouseEvent(Chart3D chart, MouseEvent trigger, RenderedElement element)`
Constructs a new event.

## Uses of Chart3D in org.jfree.chart3d.plot

Methods in org.jfree.chart3d.plot that return Chart3D
Modifier and Type
Method
Description
`Chart3D`
AbstractPlot3D.`getChart()`
Returns the chart that the plot is assigned to, if any.
`Chart3D`
Plot3D.`getChart()`
Returns the chart that the plot is assigned to, if any.
Methods in org.jfree.chart3d.plot with parameters of type Chart3D
Modifier and Type
Method
Description
`void`
AbstractPlot3D.`setChart(Chart3D chart)`
Sets the chart that the plot is assigned to.
`void`
Plot3D.`setChart(Chart3D chart)`
Sets the chart that the plot is assigned to.

## Uses of Chart3D in org.jfree.chart3d.style

Methods in org.jfree.chart3d.style with parameters of type Chart3D
Modifier and Type
Method
Description
`protected void`
ChartStyler.`styleChart(Chart3D chart)`
Applies the current style to a chart.